
SF = 1000 %spreading factor
SSs1 = sqrt(1) % signal strength signal 1
SSs2 = sqrt(0) % signal strength signal 2
SSs3 = sqrt(1) % signal strength signal 3
SSs4 = sqrt(0) % signal strength signal 4
SSs5 = sqrt(1) % signal strength signal 5
SSn = sqrt(0) % signal strength noise

channel = zeros(1,1800);

%lage en array p strrelse SF med verdier 1 eller 0 som skal bli pn
%gange med signalstyrke
cs1 = generate_pn(SF);
cs2 = generate_pn(SF);
cs3 = generate_pn(SF);
cs4 = generate_pn(SF);
cs5 = generate_pn(SF);

%legge alle signalene til p kanalen
for x = 1:1800
        if (0 < x) && (x < 1000)
           channel(x) = SSs1*cs1(x);
        else   
        end
        if (200 <= x) && (x < 1200)
           channel(x) = channel(x) + SSs2*cs2(x-199); 
        else   
        end   
        if (400 <= x) && (x < 1400)
           channel(x) = channel(x) + SSs3*cs3(x-399);
        else   
        end   
        if (600 <= x) && (x < 1600)
           channel(x) = channel(x) + SSs4*cs4(x-599);
        else   
        end   
        if (800 <= x) && (x < 1800)
           channel(x) = channel(x) + SSs5*cs5(x-799);   
        else   
    end
end   

%generere sty
noise = normrnd(0,SSn,1,1800);

%kombinere sty med kanalen
rx= channel+noise;

%plot(channel)
%figure()



corr1 = xcorr(cs1,rx);
corr2 = xcorr(cs2,rx);
corr3 = xcorr(cs3,rx);
corr4 = xcorr(cs4,rx);
corr5 = xcorr(cs5,rx);

q1 = sign(rx);

cq1 = xcorr(cs1,q1);
cq2 = xcorr(cs2,q1);
cq3 = xcorr(cs3,q1);
cq4 = xcorr(cs4,q1);
cq5 = xcorr(cs5,q1);

plot(cq1)
hold on
plot(cq2)
plot(cq3)
plot(cq4)
plot(cq5)
hold off


%plot(corr1)
%figure
%plot(corr5)
%SNR = snr(SSs1,SSn)

